/*
** ============================================================================
**
** FILE
**  S8051.h
**
** DESCRIPTION
**  Contains the 8051 specific declarations, IO declarations, type declarations
**
** CREATED
**  Silicon Laboratories Hungary Ltd
**
** COPYRIGHT
**  Copyright 2008 Silicon Laboratories, Inc.  
**	http://www.silabs.com
**
** ============================================================================
*/
#ifndef S8051_H
#define S8051_H

#include <compiler_defs.h>             // compiler declarations
#include <C8051F930_defs.h>


                /* ======================================= *
                 *     T Y P E   D E C L A R A T I O N     *
                 * ======================================= */

//Only these type of variables are used in this software
#undef	uint8
#undef	sint8
#undef	uint16
#undef	sint16
#undef	uint32
#undef	sint32

#define	uint8	unsigned char
#define	sint8	signed char
#define	uint16	unsigned short
#define	sint16	signed short
#define	uint32	unsigned long
#define	sint32	signed long



typedef struct
{
unsigned int bit0 : 1;
unsigned int bit1 : 1;
unsigned int bit2 : 1;
unsigned int bit3 : 1;
unsigned int bit4 : 1;
unsigned int bit5 : 1;
unsigned int bit6 : 1;
unsigned int bit7 : 1;
} reg;

typedef union
{
   reg testreg;
   uint8 adat;
}reg_union;

typedef union
{
   reg_union bytes[2];
   uint16 adat;
}reg16_union;

					                /* ======================================= *
					                 *          D E F I N I T I O N S          *
					                 * ======================================= */
#undef	TRUE
#undef 	FALSE
#undef	INPUT
#undef	OUTPUT

#define TRUE						(1)
#define FALSE						(0)
#define	INPUT						(1)
#define	OUTPUT						(0)






	



#endif 


