#ifndef  RETIME_AND_PHANDLER_H
#define  RETIME_AND_PHANDLER_H

/*
** ============================================================================
**
** FILE
**  retime_phandler.h
**
** DESCRIPTION
**  Header file for the retime and packethandler functions
**
** CREATED
**  Silicon Laboratories Hungary Ltd
**
** COPYRIGHT
**  Copyright 2010 Silicon Laboratories, Inc.  
**	http://www.silabs.com
**
** ===========================================================================*/

#include "compiler_defs.h"
#include "user_setup.h"

                /* ======================================= *
                 *  				D E F I N I T I O N		  	  *
                 * ======================================= */



                /* ======================================= *
                 *  		G L O B A L  V A R I A B L E  	  *
                 * ======================================= */
extern U16 DeglitchedBitCnt;
extern U8 BitValue;
extern bit fRetiming;
extern bit fPacketHandler;
extern U8 SyncWordBitCnt;
extern U8 SyncWord;
extern U8 PayloadBitCnt;
extern bit fSyncWordFound;
extern bit fPacketReceived;
extern U8 PayloadBuffer[PAYLOAD_BYTE_LENGTH];
extern U8 ComparePayload[PAYLOAD_BYTE_LENGTH];
extern U8 NmbrOfOutputBits;

                /* ======================================= *
                 *  F U N C T I O N   P R O T O T Y P E S  *
                 * ======================================= */

void BitsRetiming(U8 * InputBuffer, U8 NmbrOfInputBits, U16 SamplePerBit, U8 * OutputBuffer, U8 * NmbrOfOutputBits);
void PacketHandler(U8 * InputBuffer, U8 NmbrOfInputBits);


#endif